# Uses of Class
org.eclipse.zest.layouts.dataStructures.DisplayIndependentRectangle

Packages that use DisplayIndependentRectangle
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.dataStructures
org.eclipse.zest.layouts.interfaces

## Uses of DisplayIndependentRectangle in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return DisplayIndependentRectangle
Modifier and Type
Method
Description
`DisplayIndependentRectangle`
Graph.`getLayoutBounds()`
`DisplayIndependentRectangle`
GraphContainer.`getLayoutBounds()`
`DisplayIndependentRectangle`
IContainer2.`getLayoutBounds()`

## Uses of DisplayIndependentRectangle in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms that return DisplayIndependentRectangle
Modifier and Type
Method
Description
`DisplayIndependentRectangle`
ContinuousLayoutAlgorithm.`getBounds()`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected DisplayIndependentRectangle`
AbstractLayoutAlgorithm.Zest1.`getLayoutBounds(InternalNode[] entitiesToLayout, boolean includeNodeSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Find the bounds in which the nodes are located.
`static DisplayIndependentRectangle`
AlgorithmHelper.`getLayoutBounds(EntityLayout[] entities, boolean includeNodeSize)`
Find the bounds in which the nodes are located.
`protected DisplayIndependentRectangle`
RadialLayoutAlgorithm.Zest1.`getLayoutBounds(InternalNode[] entitiesToLayout, boolean includeNodeSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Find the bounds in which the nodes are located.
`protected DisplayIndependentRectangle`
SpringLayoutAlgorithm.Zest1.`getLayoutBoundsTemp(InternalNode[] entitiesToLayout, boolean includeNodeSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in org.eclipse.zest.layouts.algorithms with parameters of type DisplayIndependentRectangle
Modifier and Type
Method
Description
`protected void`
GridLayoutAlgorithm.`applyLayoutInternal(EntityLayout[] entitiesToLayout, DisplayIndependentRectangle bounds)`
Use this algorithm to layout the given entities and bounds.
`protected void`
GridLayoutAlgorithm.`calculateGrid(DisplayIndependentRectangle bounds)`
Calculates all the dimensions of grid that layout entities will be fit in.
`protected void`
RadialLayoutAlgorithm.Zest1.`computeRadialPositions(InternalNode[] entities, DisplayIndependentRectangle bounds2)`
Deprecated, for removal: This API element is subject to removal in a future version.
Take the tree and make it round.
`protected void`
SpringLayoutAlgorithm.Zest1.`convertNodePositionsBack(int i, InternalNode entityToConvert, double px, double py, double screenWidth, double screenHeight, DisplayIndependentRectangle layoutBounds)`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected void`
AbstractLayoutAlgorithm.Zest1.`defaultFitWithinBounds(InternalNode[] entitiesToLayout, DisplayIndependentRectangle realBounds)`
Deprecated, for removal: This API element is subject to removal in a future version.
Find an appropriate size for the given nodes, then fit them into the given bounds.
`protected void`
AbstractLayoutAlgorithm.Zest1.`defaultFitWithinBounds(InternalNode[] entitiesToLayout, InternalRelationship[] relationships, DisplayIndependentRectangle realBounds)`
Deprecated, for removal: This API element is subject to removal in a future version.
Find an appropriate size for the given nodes, then fit them into the given bounds.
`static void`
AlgorithmHelper.`fitWithinBounds(EntityLayout[] entities, DisplayIndependentRectangle destinationBounds, boolean resize)`
Fits given entities within given bounds, preserving their relative locations.
`protected DisplayIndependentPoint`
AbstractLayoutAlgorithm.Zest1.`getLocalLocation(InternalNode[] entitiesToLayout, double x, double y, DisplayIndependentRectangle realBounds)`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the location in the layout bounds for this node

## Uses of DisplayIndependentRectangle in org.eclipse.zest.layouts.dataStructures

Methods in org.eclipse.zest.layouts.dataStructures with parameters of type DisplayIndependentRectangle
Modifier and Type
Method
Description
`DisplayIndependentPoint`
DisplayIndependentPoint.`convert(DisplayIndependentRectangle currentBounds, DisplayIndependentRectangle targetBounds)`
Create a new point based on the current point but in a new coordinate system
`DisplayIndependentPoint`
DisplayIndependentPoint.`convertFromPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values from a percentage of the specified coordinate system
`DisplayIndependentPoint`
DisplayIndependentPoint.`convertToPercent(DisplayIndependentRectangle bounds)`
Converts this point based on the current x, y values to a percentage of the specified coordinate system
`boolean`
DisplayIndependentRectangle.`intersects(DisplayIndependentRectangle rect)`
Constructors in org.eclipse.zest.layouts.dataStructures with parameters of type DisplayIndependentRectangle
Modifier
Constructor
Description
``
`DisplayIndependentRectangle(DisplayIndependentRectangle rect)`

## Uses of DisplayIndependentRectangle in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return DisplayIndependentRectangle
Modifier and Type
Method
Description
`DisplayIndependentRectangle`
LayoutContext.`getBounds()`